From d24718f0493e5d56393d71cba6e00ceb5565e493 Mon Sep 17 00:00:00 2001
From: Brooke A. Storm <bstorm@albany.edu>
Date: Fri, 10 Jul 2009 13:32:55 -0400
Subject: [PATCH 270/270] Allowed cleanup of mount dirs that conflict with anaconda.


Signed-off-by: Brooke A. Storm <bstorm@albany.edu>
---
 snippets/keep_ssh_host_keys |   35 ++++++++++++++++++-----------------
 1 files changed, 18 insertions(+), 17 deletions(-)

diff --git a/snippets/keep_ssh_host_keys b/snippets/keep_ssh_host_keys
index 527c992..ec328aa 100644
--- a/snippets/keep_ssh_host_keys
+++ b/snippets/keep_ssh_host_keys
@@ -20,16 +20,16 @@ for disk in $DISKS; do
     name=$(basename $disk)
     mkdir -p /tmp/$name
     mount $disk /tmp/$name
-    [ $? -eq 0 ] || continue # Skip to the next partition if the mount fails
-
-    # Copy current ssh host keys out to be reused
-    if [ -d /tmp/${name}/etc/ssh ]; then
-        cp -a /tmp/${name}/etc/ssh/ssh_host* /tmp/ssh
-        keys_found="yes"
+    if [ $? -eq 0 ];then
+        # Copy current ssh host keys out to be reused
+        if [ -d /tmp/${name}/etc/ssh ]; then
+            cp -a /tmp/${name}/etc/ssh/ssh_host* /tmp/ssh
+            keys_found="yes"
+            umount /tmp/$name
+            break
+        fi
         umount /tmp/$name
-        break
     fi
-    umount /tmp/$name
     rm -r /tmp/$name
 done
 
@@ -46,16 +46,17 @@ if [ "$keys_found" = "no" ]; then
     for lv in $lvs; do
         tmpdir=$(mktemp -d findkeys.XXXXXX)
         mkdir -p /tmp/${tmpdir}
-        mount $lv /tmp/${tmpdir} || continue # Skip to next volume if this fails
-
-        # Let's see if the keys are in there
-        if [ -d /tmp/${tmpdir}/etc/ssh ]; then
-            cp -a /tmp/${tmpdir}/etc/ssh/ssh_host* /tmp/ssh/
-            keys_found="yes"
+	mount $lv /tmp/${tmpdir}
+        if [ $? -eq 0 ];then
+            # Let's see if the keys are in there
+            if [ -d /tmp/${tmpdir}/etc/ssh ]; then
+                cp -a /tmp/${tmpdir}/etc/ssh/ssh_host* /tmp/ssh/
+                keys_found="yes"
+                umount /tmp/${tmpdir}
+                break # We're done!
+            fi
             umount /tmp/${tmpdir}
-            break # We're done!
-        fi
-        umount /tmp/${tmpdir}
+	fi
         rm -r /tmp/${tmpdir}
     done
     
-- 
1.6.3.3

